// file: $isip/class/mmedia/FeatureFile/ftrf_01.cc
// version: $Id: ftrf_01.cc 8334 2002-07-11 02:43:13Z picone $
//

// isip include files
//
#include "FeatureFile.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean FeatureFile::debug(const unichar* msg_a) const {

  // local variables
  //
  String output;
  String param;
  String value;
  String empty_str;

  // output the parameters
  //
  value.assign(FILE_TYPE_MAP.getName(file_type_d));
  output.debugStr(name(), msg_a, L"file_type", value);
  Console::put(output);

  value.assign(FILE_FORMAT_MAP.getName(file_format_d));
  output.debugStr(name(), msg_a, L"file_format", value);
  Console::put(output);

  value.assign(COMP_TYPE_MAP.getName(compression_type_d));
  output.debugStr(name(), msg_a, L"compression_type", value);
  Console::put(output);

  value.assign((double)amplitude_range_d);
  output.debugStr(name(), msg_a, L"amplitude_range", value);
  Console::put(output);

  output.debugStr(name(), msg_a, L"name", name_d);
  Console::put(output);

  value.assign(num_channels_d);
  output.debugStr(name(), msg_a, L"num_channels_d", value);
  Console::put(output);

  value.assign((long)tag_d);
  output.debugStr(name(), msg_a, L"tag", value);
  Console::put(output);

  output.debugStr(name(), msg_a, L"id", id_d);
  Console::put(output);

  value.assign(num_features_d);
  output.debugStr(name(), msg_a, L"number_of_features_d", value);
  Console::put(output);

  output.debugStr(name(), msg_a, L"coef_type_d", AlgorithmData::CTYPE_MAP(coef_type_d));
  Console::put(output);
  
  // display the data mode
  //
  output.debugStr(name(), msg_a, L"data_type_d",
		  FeatureFile::DATA_TYPE_MAP.getName((long)data_type_d));
  Console::put(output);

  value.assign(frame_duration_d);
  output.debugStr(name(), msg_a, L"frame_duration_d", value);
  Console::put(output);

  value.assign(sample_frequency_d);
  output.debugStr(name(), msg_a, L"sample_frequency_d", value);
  Console::put(output);


  // output the information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  
  // exit gracefully
  //
  return true;
}
